// JavaScript Document
function muestra(){
	cDet=""
	oJsonDatos = JSON.parse(JsonClass);
	var NJsonItem=oJsonDatos.Datos.length;
	cDet="<div class='navbar'>";
  //cDet+="<a href='#home'>Home</a>";
  //cDet+="<a href='#news'>News</a>";
 	cDet+="<div class='dropdown'>";
    cDet+="<button class='dropbtn'>&#8659; ";
	cDet+="<i class='fa fa-caret-down'></i>";
    cDet+="</button>";
    cDet+="<div class='dropdown-content'>";
      	cDet+="<div class='header'>";
		cDet+="<h2>CATEGORIAS</h2>";
      	cDet+="</div>";
        cDet+="<div class='row'>";
	  for(var i=0;i<NJsonItem;i++){
			nCat=trim(oJsonDatos.Datos[i].nomcla);
			CCat=trim(oJsonDatos.Datos[i].codcla);
			if(nCat!=""){
		  		cDet+="<div class='column'>";
		 	 		cDet+="<a href='javascript:busqueda(\""+CCat+"\",\"C\",\""+nCat+"\")' ><h3>"+nCat+"</h3></a>";
          			cDet+="<div id='CLAS_"+CCat+"'></div>";
          		cDet+="</div>";
			}
		}
      cDet+="</div>";
    cDet+="</div>";
  	cDet+="</div> ";
	cDet+="</div>";
	document.getElementById("opcion_menu").innerHTML=cDet;
     muestra_linea();
}
function muestra_linea(){
	Restex=depurarjson(JsonLinea);
	oJsonDatos = JSON.parse(Restex);
	var NJsonItem=oJsonDatos.Datos.length;
	for(var i=0;i<NJsonItem;i++){
		titulo=trim(oJsonDatos.Datos[i].nomlin);
		codclas=trim(oJsonDatos.Datos[i].codcla);
		codlin=trim(oJsonDatos.Datos[i].codlin)
		if(codclas!=""){
		 conteneder="CLAS_"+codclas;
		 cDet="<a href='javascript:busqueda(\""+codlin+"\",\"L\",\""+titulo+"\")'>"+titulo+"</a>";
		 document.getElementById(conteneder).innerHTML+=cDet;
		}
	}
}
function oculta(){
}
/*
function classes() { 
    url="tipob=1";
	var rute=VGCDDIREACTU+"apibc/controllers/items/";
	doAjax(rute,url,'res_classes','gets','0','Ccargar');
}
function res_classes(Rext) { 
     JsonClass=Rext;
	 lineas();
}



var JsonClass="";
var JsonLinea="";
var JsonTipo="";
var posX;
var posY;

window.onload=function(){
	document.onmousemove=function(e){
		var contiene=document.getElementById("main");
		posX=e.pageX;
		posY=e.pageY;
		//contiene.innerHTML="Left: "+e.pageX+" "+"Top: "+e.pageY;
		//document.getElementById("posi").innerHTML="Left: "+posX+" "+"Top: "+posY;
		if (posY<96){
			oculta();
			}
		if (posY<136 && posX>140){
			oculta();
			}
		}
	}


function muestra(){
	var cDet;
	var cLink;
	var cIcono;
	var cFuncion;
	var nCat;
//	document.getElementById("main")
	if (document.getElementById("opcion_menu").innerHTML==1){
	cDet=""
    oJsonDatos = JSON.parse(JsonClass);
	var NJsonItem=oJsonDatos.Datos.length;
       for(var i=0;i<NJsonItem;i++){
			cLink="#";
			cIcono="";
			nCat=trim(oJsonDatos.Datos[i].nomcla);
			cFuncion="javascript:muestra_linea(\""+trim(oJsonDatos.Datos[i].codcla)+"\")";
			cDet=cDet+"<div><a href="+cFuncion+" id='d"+i+"' class='navbar_link' onmouseover="+cFuncion+">"
    		cDet=cDet+"<span class='icon-star-empty'></span>&nbsp;"+nCat+"</a></div>"
		}
		document.getElementById("opcion_menu").innerHTML=cDet;
	}
	document.getElementById("navbar").style.display="flex";
	document.getElementById("navbar").style.justifyContent="space-around";
	document.getElementById("navbar").style.position="fixed";
	document.getElementById("navbar").style.width="25%";
	document.getElementById("navbar").style.background="#797979";
	document.getElementById("navbar").style.borderRight="2px solid #E7E7E7"
	document.getElementById("navbar").style.boxShadow="0 0 10px 5px rgba(0,0,0,0.25)";
	document.getElementById("opcion_menu").style.minWidth="235px";
	document.getElementById("opcion_menu").style.background="#FFF";
	document.getElementById("det_menu").style.left="0px";
	document.getElementById("det_menu").style.width="200px";
	document.getElementById("det_menu").style.display="flex";
	document.getElementById("det_menu").style.justifyContent="space-between";
	document.getElementById("det_menu").style.height="500px";
	document.getElementById("det_menu").style.background="#F4F4F4";
	document.getElementById("Imagen_menu").style.display="flex";
	document.getElementById("Imagen_menu").style.justifyContent="space-between";
	document.getElementById("Imagen_menu").style.flexDirection="column";
	document.getElementById("Imagen_menu").style.alignItems="center";
	document.getElementById("img_cat").style.height="220px";
	document.getElementById("img_cat").style.width="500px";
	//muestra_linea("001");
}
function oculta(){
	if (posY>135 ){
		return;
		//alert("retorna");
		}
	document.getElementById("navbar").style.display="none";
	return;
}
function muestra_linea(cCat){
	oJsonDatosL = JSON.parse(JsonLinea);
	var NJsonItemL=oJsonDatosL.Datos.length;
	var detta="";
	var clatitulo="";
   for(var i=0;i<NJsonItemL;i++){
		if (oJsonDatosL.Datos[i].codcla==cCat){
			vcodlin=trim(oJsonDatosL.Datos[i].codlin);
			titulo=trim(oJsonDatosL.Datos[i].nomlin);
		    detta+="<div class='lista_cat'><div style='margin-top:5px;margin-bottom:5px;width:80%; border-bottom: 1px solid #3A3A3A'><a href='https://almacenbcsa.com/page/listado/?tipob=5&linea="+oJsonDatosL.Datos[i].codlin+"''><strong>"+oJsonDatosL.Datos[i].nomlin+"</strong></div>"+tipodetalle(vcodlin)+"</div>";
		}else{
			// document.getElementById(cId).style.background="#F60";
		}
	}
	document.getElementById("id_linea").style.padding="7px 7px";
	document.getElementById("id_linea").style.width="100%";
	document.getElementById("id_linea").innerHTML=detta;
	document.getElementById("id_linea").style.display="grid";
	document.getElementById("id_linea").style.gridTemplateColumns="repeat(2, 1fr)";
	document.getElementById("id_linea").style.marginLeft="10px";
	document.getElementById("id_linea").style.minWidth="400px";
	document.getElementById("id_linea").style.paddingLeft="20px";
	document.getElementById("id_linea").style.gridTemplateRows="auto";
	document.getElementById("tit_categoria").innerHTML="<strong>"+clatitulo+"</strong>";
}
function tipodetalle(codlini) {
   oJsonDatosT = JSON.parse(JsonTipo);
	var NJsonItemT=oJsonDatosT.Datos.length; 
	dettax="";
    for(var i=0;i<NJsonItemT;i++){
		if(oJsonDatosT.Datos[i].codlin==codlini){
           dettax+="<a href='https://almacenbcsa.com/page/listado/?tipob=5&tipos="+oJsonDatosT.Datos[i].codtip+"'>"+oJsonDatosT.Datos[i].nomtip+"</a><br>";
		 }
    }
   return dettax;
}

function lineas() { 
    url="tipob=2";
	var rute=VGCDDIREACTU+"apibc/controllers/items/";
	doAjax(rute,url,'res_lineas','gets','0','Ccargar');
}
function res_lineas(Restex) { 
	JsonLinea=Restex;
	tipos();
}
function tipos() { 
    url="tipob=3";
    var rute=VGCDDIREACTU+"apibc/controllers/items/";
	doAjax(rute,url,'res_tipos','gets','0','Ccargar');
}
function res_tipos(Restex) { 
	JsonTipo=Restex;
}
*/